Bug 20163 - Position of NoLoginInstructions text is inconsistent
Summary: Position of NoLoginInstructions text is inconsistent
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-02-08 15:39 UTC by Margaret
Modified: 2018-06-04 20:15 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Side By Side NoLoginInstructions Text Comparison (256.00 KB, image/png)
2018-02-08 15:39 UTC, Margaret
Details
Bug 20163: Position of NoLoginInstructions text is inconsistent (9.33 KB, patch)
2018-02-08 19:18 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 20163: Position of NoLoginInstructions text is inconsistent (9.39 KB, patch)
2018-02-12 10:19 UTC, Claire Gravely
Details | Diff | Splinter Review
Bug 20163: Position of NoLoginInstructions text is inconsistent (9.44 KB, patch)
2018-02-13 06:24 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Margaret 2018-02-08 15:39:17 UTC
Created attachment 71356 [details]
Side By Side NoLoginInstructions Text Comparison

The position of NoLoginInstructions text is inconsistent between the "log into your account" popup and the "log into your account" main login form. 

In this case directional language is used in the NoLoginInstructions to have patrons look "above" for the Register here link. However in the popup the position of the two texts are flipped, so that the Register here link appears bellow the NoLoginInstructions. See Screenshot, "Side By Side NoLoginInstructions Text Comparison" for this illustration. 

To replicate:
1) Enable PatronSelfRegistration system preference.
2) Enable the OpacResetPassword system preference.
3) Input directional language, ie. "look [above or bellow] for the Register here link, into the NoLoginInstructions syspref. 
4) Open OPAC and look at the "log into your account" popup and the "log into your account" main login form. Your instructions to look above or bellow will be wrong in one one of these login windows.  

Can the order in which the editable (ie. NoLoginInstructions) and non-editable (ie. Register here and Forgot Password) text that appears in the "log into your account" main login form and popup be made consistent?
Comment 1 Owen Leonard 2018-02-08 19:18:59 UTC
Created attachment 71357 [details] [review]
Bug 20163: Position of NoLoginInstructions text is inconsistent

This patch modifies the markup for two login forms, making the markup
more consistent between them. The order of NoLoginInstructions, "Forgot
your password?" and "Don't have an account?" should now be the same.

This patch also updates some classes in each login form to allow for
more consistent custom styling.  A couple of capitalization corrections
are included.

To test, enable the PatronSelfRegistration and OpacResetPassword
preferences. Put some text in the NoLoginInstructions preference.

View the login form as associated links on the OPAC main page. Compare
to the login form which appears in a modal window when you click the
login link at the top of the page. The two areas should look consistent.
Comment 2 Claire Gravely 2018-02-12 10:19:27 UTC
Created attachment 71426 [details] [review]
Bug 20163: Position of NoLoginInstructions text is inconsistent

This patch modifies the markup for two login forms, making the markup
more consistent between them. The order of NoLoginInstructions, "Forgot
your password?" and "Don't have an account?" should now be the same.

This patch also updates some classes in each login form to allow for
more consistent custom styling.  A couple of capitalization corrections
are included.

To test, enable the PatronSelfRegistration and OpacResetPassword
preferences. Put some text in the NoLoginInstructions preference.

View the login form as associated links on the OPAC main page. Compare
to the login form which appears in a modal window when you click the
login link at the top of the page. The two areas should look consistent.

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>
Comment 3 Katrin Fischer 2018-02-13 06:24:11 UTC
Created attachment 71532 [details] [review]
Bug 20163: Position of NoLoginInstructions text is inconsistent

This patch modifies the markup for two login forms, making the markup
more consistent between them. The order of NoLoginInstructions, "Forgot
your password?" and "Don't have an account?" should now be the same.

This patch also updates some classes in each login form to allow for
more consistent custom styling.  A couple of capitalization corrections
are included.

To test, enable the PatronSelfRegistration and OpacResetPassword
preferences. Put some text in the NoLoginInstructions preference.

View the login form as associated links on the OPAC main page. Compare
to the login form which appears in a modal window when you click the
login link at the top of the page. The two areas should look consistent.

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Katrin Fischer 2018-02-13 06:28:17 UTC
Includes string changes!
Comment 5 Jonathan Druart 2018-02-13 16:00:46 UTC
Pushed to master for 18.05, thanks to everybody involved!